'# MWS Version: Version 2006B.4 - Jul  2 2007 - 22:10:11

'# length = mm
'# frequency = GHz
'# time = s
'# frequency range: fmin = 10 fmax = 18


'@ define units

With Units 
     .Geometry "mm" 
     .Frequency "ghz" 
     .Time "s" 
End With

'@ new component: component1

Component.New "component1"

'@ define brick: component1:solid1

With Brick
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-w/2", "w/2" 
     .Yrange "-w/2", "w/2" 
     .Zrange "0", "0.035" 
     .Create
End With

'@ define brick: component1:solid2

With Brick
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-r/2", "r/2" 
     .Yrange "-r/2", "r/2" 
     .Zrange "-h-0.035", "0" 
     .Create
End With

'@ boolean add shapes: component1:solid1, component1:solid2

Solid.Add "component1:solid1", "component1:solid2"

'@ transform: translate component1:solid1

With Transform 
     .Reset 
     .Name "component1:solid1" 
     .Vector "w+s", "0", "0" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "True" 
     .GroupObjects "False" 
     .Repetitions "10" 
     .MultipleSelection "False" 
     .Component "" 
     .Material "" 
     .TranslateAdvanced 
End With

'@ define brick: component1:solid2

With Brick
     .Reset 
     .Name "solid2" 
     .Component "component1" 
     .Material "PEC" 
     .Xrange "-w/2-s/2", "w/2+s/2" 
     .Yrange "-w/2-s/2", "w/2+s/2" 
     .Zrange "-h-0.035", "-h" 
     .Create
End With

'@ define frequency range

Solver.FrequencyRange "0.5", "10"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmin" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-13.5", "-13.5" 
     .Yrange "-54", "54" 
     .Zrange "-24.035", "0.035" 
     .Create 
End With

'@ define port: 2

With Port 
     .Reset 
     .PortNumber "2" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "xmax" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "343.5", "343.5" 
     .Yrange "-54", "54" 
     .Zrange "-24.035", "0.035" 
     .Create 
End With

'@ define background

With Background 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
End With

'@ define boundaries

With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ define frequency range

Solver.FrequencyRange "0.1", "8"

'@ define solver parameters

With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseNetworkComputing "False" 
End With

'@ delete shapes

Solid.Delete "component1:solid1_1" 
Solid.Delete "component1:solid1_10" 
Solid.Delete "component1:solid1_2" 
Solid.Delete "component1:solid1_3" 
Solid.Delete "component1:solid1_4" 
Solid.Delete "component1:solid1_5" 
Solid.Delete "component1:solid1_6" 
Solid.Delete "component1:solid1_7" 
Solid.Delete "component1:solid1_8" 
Solid.Delete "component1:solid1_9"

'@ delete port: port1

Port.Delete "1"

'@ delete port: port2

Port.Delete "2"

'@ pick end point

Pick.PickEndpointFromId "component1:solid1", "20"

'@ snap point to drawplane

Pick.SnapLastPointToDrawplane

'@ clear picks

Pick.ClearAllPicks

'@ set workplane properties

With WCS
     .SetWorkplaneSize "50" 
     .SetWorkplaneRaster "1" 
     .SetWorkplaneSnap "TRUE" 
     .SetWorkplaneSnapRaster "0.1" 
     .SetWorkplaneAutoadjust "TRUE" 
End With

'@ define frequency range

Solver.FrequencyRange "10", "18"

'@ define boundaries

With Boundary
     .Xmin "periodic" 
     .Xmax "periodic" 
     .Ymin "periodic" 
     .Ymax "periodic" 
     .Zmin "electric" 
     .Zmax "open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
     .XPeriodicShift "0.0" 
     .YPeriodicShift "0.0" 
     .ZPeriodicShift "0.0" 
     .PeriodicUseConstantAngles "False" 
End With

'@ define plane wave properties

With PlaneWave
     .Reset 
     .Normal "0", "0", "-1" 
     .EVector "1", "0", "0" 
     .Polarization "Linear" 
     .ReferenceFrequency "14" 
     .PhaseDifference "-90.0" 
     .CircularDirection "Left" 
     .AxialRatio "0.0" 
     .SetUserDecouplingPlane "False" 
     .Store
End With

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "12.5" 
     .ApplyInAllDirections "False" 
End With

'@ define material: material1

With Material 
     .Reset 
     .Name "material1"
     .FrqType "all" 
     .Type "Normal" 
     .Epsilon "2.2" 
     .Mue "1" 
     .Kappa "0" 
     .TanD "0.0" 
     .TanDFreq "0.0" 
     .TanDGiven "False" 
     .TanDModel "ConstTanD" 
     .KappaM "0" 
     .TanDM "0.0" 
     .TanDMFreq "0.0" 
     .TanDMGiven "False" 
     .TanDMModel "ConstTanD" 
     .DispModelEps "None" 
     .DispModelMue "None" 
     .DispersiveFittingSchemeEps "General 1st" 
     .DispersiveFittingSchemeMue "General 1st" 
     .UseGeneralDispersionEps "False" 
     .UseGeneralDispersionMue "False" 
     .Rho "0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0" 
     .Colour "0", "0", "1" 
     .Wireframe "False" 
     .Transparency "51" 
     .Create
End With

'@ define brick: component1:solid3

With Brick
     .Reset 
     .Name "solid3" 
     .Component "component1" 
     .Material "material1" 
     .Xrange "-w/2-s/2", "w/2+s/2" 
     .Yrange "-w/2-s/2", "w/2+s/2" 
     .Zrange "0", "-h" 
     .Create
End With

'@ define probe: probe1

With Probe
     .Reset 
     .Name "probe1" 
     .Field "Efield" 
     .Orientation "X" 
     .Xpos "0.0" 
     .Ypos "0.0" 
     .Zpos "12.5" 
     .Create
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-PLW" 
     .StimulationPort "Plane wave" 
     .StimulationMode "1" 
     .SteadyStateLimit "-50" 
     .MeshAdaption "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "50.0" 
     .LinesPerWavelength "20" 
     .MinimumStepNumber "20" 
     .Automesh "True" 
     .MeshType "PBA" 
End With

'@ define probe: probe1

With Probe
     .Reset 
     .Name "probe1" 
     .Field "Efield" 
     .Orientation "X" 
     .Xpos "0.0" 
     .Ypos "0.0" 
     .Zpos "10" 
     .Create
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-PLW" 
     .StimulationPort "Plane wave" 
     .StimulationMode "1" 
     .SteadyStateLimit "-50" 
     .MeshAdaption "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ define boundaries

With Boundary
     .Xmin "periodic" 
     .Xmax "periodic" 
     .Ymin "periodic" 
     .Ymax "periodic" 
     .Zmin "electric" 
     .Zmax "electric" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
     .XPeriodicShift "0.0" 
     .YPeriodicShift "0.0" 
     .ZPeriodicShift "0.0" 
     .PeriodicUseConstantAngles "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "50.0" 
     .LinesPerWavelength "45" 
     .MinimumStepNumber "45" 
     .Automesh "True" 
     .MeshType "PBA" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-PLW" 
     .StimulationPort "Plane wave" 
     .StimulationMode "1" 
     .SteadyStateLimit "-50" 
     .MeshAdaption "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ define boundaries

With Boundary
     .Xmin "periodic" 
     .Xmax "periodic" 
     .Ymin "periodic" 
     .Ymax "periodic" 
     .Zmin "electric" 
     .Zmax "open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
     .XPeriodicShift "0.0" 
     .YPeriodicShift "0.0" 
     .ZPeriodicShift "0.0" 
     .PeriodicUseConstantAngles "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "50.0" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "30" 
     .Automesh "True" 
     .MeshType "PBA" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-PLW" 
     .StimulationPort "Plane wave" 
     .StimulationMode "1" 
     .SteadyStateLimit "-50" 
     .MeshAdaption "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ change material: component1:solid1 to: Vacuum

Solid.ChangeMaterial "component1:solid1", "Vacuum"

'@ change material: component1:solid2 to: Vacuum

Solid.ChangeMaterial "component1:solid2", "Vacuum"

'@ change material: component1:solid3 to: Vacuum

Solid.ChangeMaterial "component1:solid3", "Vacuum"

'@ change material: component1:solid3 to: material1

Solid.ChangeMaterial "component1:solid3", "material1"

'@ change material: component1:solid1 to: PEC

Solid.ChangeMaterial "component1:solid1", "PEC"

'@ change material: component1:solid3 to: PEC

Solid.ChangeMaterial "component1:solid3", "PEC"

'@ change material: component1:solid2 to: PEC

Solid.ChangeMaterial "component1:solid2", "PEC"

'@ change material: component1:solid3 to: material1

Solid.ChangeMaterial "component1:solid3", "material1"

'@ change material: component1:solid3 to: PEC

Solid.ChangeMaterial "component1:solid3", "PEC"

'@ define boundaries

With Boundary
     .Xmin "periodic" 
     .Xmax "periodic" 
     .Ymin "periodic" 
     .Ymax "periodic" 
     .Zmin "electric" 
     .Zmax "open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "False" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
     .XPeriodicShift "0.0" 
     .YPeriodicShift "0.0" 
     .ZPeriodicShift "0.0" 
     .PeriodicUseConstantAngles "False" 
End With

'@ define solver parameters

With Solver 
     .CalculationType "TD-PLW" 
     .StimulationPort "Plane wave" 
     .StimulationMode "1" 
     .SteadyStateLimit "-50" 
     .MeshAdaption "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
End With

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "13.75" 
     .ApplyInAllDirections "False" 
End With

'@ define probe: probe1

With Probe
     .Reset 
     .Name "probe1" 
     .Field "Efield" 
     .Orientation "X" 
     .Xpos "0.0" 
     .Ypos "0.0" 
     .Zpos "12.5" 
     .Create
End With

